List Created CLABEs

The GET /spei/v1/clabes method retrieves a paginated list of the CLABEs belonging to your account that match the given filtering criterion (query parameters). If you do not specify any query parameters, it retrieves the complete list of CLABEs linked to your account, including the disabled and blocked ones.

To list a set of CLABEs, make the HTTP request as follows:

GET https://stage.bitso.com/spei/v1/clabes

The following table summarizes the optional query parameters you can use in a filtered search:

Query ParameterDescriptionRequired
clabe_typeThe type of CLABE you want to retrieve. Valid values: MAIN, ADDITIONAL, INTERNATIONAL, ADDITIONAL_INTERNATIONAL.No
statusThe state the retrieved CLABEs have. Valid values: ENABLED, DISABLED, and BLOCKED.No
start_dateThe starting date of the time-window searched, specified in ISO 8601 date format, YYYY-MM-DD (server timezone). It returns the CLABEs with creation date within the defined window. Ensure the value of this parameter comes before the value of end_date.No
end_dateThe ending date of the time-window searched, specified in ISO 8601 date format, YYYY-MM-DD (server timezone). It returns the CLABEs with creation date within the defined window. Ensure the value of this parameter comes after the value of start_date.No
pageThe page number.No
page_sizeThe number of entries per page, maximum=100.No

The following exemplifies the response object returned using the filter status=enabled:

{
    "success": true,
    "payload": {
        "total_items": "3",
        "total_pages": "1",
        "current_page": "1",
        "page_size": "25",
        "response": [
            {
                "clabe": "710969000012345678",
                "type": "ADDITIONAL",
                "status": "ENABLED",
                "created_at": "2023-07-11T18:49:41"
            },
            {
                "clabe": "710969000023456789",
                "type": "ADDITIONAL",
                "status": "ENABLED",
                "created_at": "2023-07-11T18:28:45"
            },
            {
                "clabe": "710969000034567890",
                "type": "MAIN",
                "status": "ENABLED",
                "created_at": "2023-07-10T16:54:57"
            }
        ]
    }
}

Did this page help you?